function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==30 then
    setcurentleaf("kabinet",21,0);
    flags.levelcomplete=true;
    flags.minicomplete50= true;
    DarkScreen(true);
    ShowMenu(false)
  return;end;
  if sender==28 then---- объект доехал
    if obj_id==1 then
      if frame==5 or skip then
        SetAlfa(-33,1,0,2.5);
        clear_satelite_leaf("kabinet");
      return;end;
      if frame==0 then
        speciale_action(2,11,true);        
        BlockCursor(false);
        MoveObjectX(4,1024,600,2);   
        MoveObjectX(2,-300,76,2);    
      return;end;  
    return;end;
    if obj_id==4 then
      if frame==0 then
        ScaleObject(4,1,1.1)
        setcolor(2,0.6,0.6,0.6,1); 
      return;end;  
    return;end;
  return;end;  
---------------------------------------------------------------------------------------------------------------
  if sender==29 then -- отработал скейл
     if obj_id==4 then
      if frame==0 then
        setcolor(1100,1,1,1,1,1);
        speciale_action(2,15);
        -- speciale_action(2,11,true);
        BlockCursor(false);
        Blocking2= false;
      return; end;
     return;end;
  return;end;
        if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    if obj_id==11 then
      skip=true;
      EndComiks()
    return;end;    
  return;end;
  
    if sender==6 then
    if not Blocking2 then
        frame=frame+1;

      if frame==1 then 
        ScaleObject(4,1.1,1)
        setcolor(4,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,15);
        speciale_action(2,16);
        set_text(1100,"251"); 
      return;end;
      if frame==2 then 
        ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(4,1,1.1)
        setcolor(4,1,1,1,1); 
        speciale_action(2,15);
        speciale_action(2,16);
        set_text(1100,"256");
      return;end;
      if frame==3 then 
        ScaleObject(4,1.1,1)
        setcolor(4,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,15);
        speciale_action(2,16);
        set_text(1100,"257");
      return;end;    
      if frame==4 then 
        ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(4,1,1.1)
        setcolor(4,1,1,1,1); 
        speciale_action(2,15);
        speciale_action(2,16);
        set_text(1100,"258");
      return;end;        
      if frame==5 then 
        EndComiks()
      return;end;      
      return;end;      
    return;end;
end
function EndComiks()
  MoveObjectY(1,-200,-385,2);
  MoveObjectY(12,610,768,2);
  MoveObjectX(4,600,1024,1.5);   
  MoveObjectX(2,76,-320,1.5);
      SetAlfa(16,1,0,0.1)
      SetAlfa(15,1,0,0.1)  
      SetAlfa(39,1,0,0.1)  
  speciale_action(2,11);
  speciale_action(2,1100);
  -- setcolor(1100,1,1,1,0,1);  
  SetAlfa(-33,0,1,2.5);
end;